% !TEX root = ../../main.tex

\tikzpicturedependsonfile{content/pictures/tikz-macros.tex}

% \tikzgrid{xmin}{xmax}{ymin}{ymax}
\providecommand{\tikzgrid}[4]{
	\draw[thin, color=black!30] ($(#1,#3) + (-0.1,-0.1)$) grid ($(#2,#4) + (0.1,0.1)$);
}

% \tikzxaxis{xmin}{xmax}{ypos}
\providecommand{\tikzxaxis}[3]{
	\draw[->, color=black!70] ($(#1,#3) + (-0.2,0)$) -- ($(#2,#3) + (0.2,0)$) node[above] {$x$};
}
% \tikzyaxis{ymin}{ymax}{xpos}
\providecommand{\tikzyaxis}[3]{
	\draw[->, color=black!70] ($(#3,#1) + (0,-0.2)$) -- ($(#3,#2) + (0,0.2)$) node[right] {$y$};
}

% \tikzaxis{xmin}{xmax}{ymin}{ymax}
\providecommand{\tikzaxis}[4]{
	\tikzxaxis{#1}{#2}{0}
	\tikzyaxis{#3}{#4}{0}
}

\providecommand{\tikzplot}[4]{
	\tikzgrid{#1}{#2}{#3}{#4}
	\tikzaxis{#1}{#2}{#3}{#4}
}

\tikzset{
	cross/.style={cross out, draw=black, minimum size=4pt, line width=1pt},
	sample/.style={draw, fill, circle, minimum size=4pt, inner sep=0pt},
	node/.style={draw, rectangle, rounded corners=3pt},
}

\providecommand{\scatterplot}[3]{
	\begin{tikzpicture}
		\begin{axis}[
			ymax=140,
			xmax=140,
			width=\linewidth,
			height=0.95\linewidth,
			axis x line=bottom,
			axis y line=left,
			legend pos=south east,
			xtick={0, 30, 60, 90, 120},
			xticklabels={0, 30, 60, 90, 120},
			xtick scale label code/.code={},
			extra x ticks = {130, 140},
			extra x tick labels = {M, T},
			extra x tick style = { grid = major },
			xticklabel style={font=\tiny},
			x label style = {at={(axis description cs:0.5,-0.1)}, anchor=north},
			ytick={0, 30, 60, 90, 120},
			yticklabels={0, 30, 60, 90, 120},
			ytick scale label code/.code={},
			extra y ticks = {130,140},
			extra y tick labels = {M, T},
			extra y tick style = { grid = major },
			yticklabel style={font=\tiny},
			xlabel=run time of #1 (s),
			ylabel=run time of #2 (s),
			y label style = {at={(axis description cs:-0.25,0.5)}, anchor=north},
			legend style={font=\scriptsize},
			draw=none
		]
			\addplot[mark=*, mark size=0.5pt, only marks] table[x index=0,y index=1] {experiments/output/#3};
			\addplot[no marks,forget plot, color=black!50] coordinates {(1,1) (130,130) };
		\end{axis}
	\end{tikzpicture}
}